ArtifactTypeContainer (Gradle API 8.14.2)
Description: declaration: package: org.gradle.api.artifacts.type, interface: ArtifactTypeContainer

Package org.gradle.api.artifacts.type

# Interface ArtifactTypeContainer

All Superinterfaces:
  `Collection<ArtifactTypeDefinition>`, `Configurable<NamedDomainObjectContainer<ArtifactTypeDefinition>>`, `DomainObjectCollection<ArtifactTypeDefinition>`, `DomainObjectSet<ArtifactTypeDefinition>`, `Iterable<ArtifactTypeDefinition>`, `NamedDomainObjectCollection<ArtifactTypeDefinition>`, `NamedDomainObjectContainer<ArtifactTypeDefinition>`, `NamedDomainObjectSet<ArtifactTypeDefinition>`, `Set<ArtifactTypeDefinition>`

public interface ArtifactTypeContainer extends NamedDomainObjectContainer<ArtifactTypeDefinition>
Defines a set of known artifact types and related meta-data. This allows you to fine tune how dependency resolution handles artifacts of a specific type. Each entry in this container defines a particular artifact type, such as a JAR or an AAR, and some information about that artifact type.

Since:
  4.0

- ## Method Summary

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface org.gradle.api.DomainObjectCollection

  `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

  `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

  `configure, create, create, create, maybeCreate, register, register`

  ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

  `findAll, matching, matching, named, withType`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`